[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TField.Index

Index of the field in the list of fields

## Declaration

Source position: db.pas line 451

`published property TField.Index : LongInt read GetIndex write SetIndex;`

## Description

Index is the name of the field in the list of fields of a dataset. It is, in general, the (0-based) position of the field in the underlying data structures, but this need not always be so. The TField.FieldNo property should be used for that.

## See also

TField.FieldNo |  | Number of the field in the record